### Property

# St Icon:icon-size

#### Declaration

    property icon-size: int [ read, write ]

#### Description [src]

The size of the icon, if greater than `0`. Otherwise the icon size is derived from the current style.

Type:`gint`

Default value | -1
Getter method | `st_icon_get_icon_size()`
Setter method | `st_icon_set_icon_size()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no